#include "hdmi_thread.h"
#include <QDebug>
hdmi_thread::hdmi_thread():QThread()
{
    //flag = 0;
}

hdmi_thread::~hdmi_thread()
{
    this->quit();
    if(fd > 2)
        h.hdmi_close(fd);
    this->wait();
}

void hdmi_thread::getWidgetArg(argmsg ag)
{
    g.ad = ag.ad;
    g.ma = ag.ma;
    g.mf = ag.mf;
    g.mode = ag.mode;
    int i = 0;
    while(ag.uc[i] != '\0'){
        g.uc[i] = ag.uc[i];
        i++;
    }
    g.uc[i] = ag.uc[i];
    g.adapter = ag.adapter;
    g.frontend = ag.frontend;
}


void hdmi_thread::run()
{
    fd = h.hdmi_open(g.adapter,g.frontend);
    if(fd > 2){
      h.hdmi_setMute(g.mf);
      switch(g.mode)
         {
            case 1:
             h.hdmi_autoMode();
            break;
            case 2:
             h.hdmi_manualMode(g.ma);
            break;
            case 3:
             h.hdmi_advancedMode(g.ad);
            break;
            case 4:
             h.hdmi_setPorgname(g.uc);
            break;
            case 5:
             h.hdmi_softWareRST();
            break;
            default:
            break;
        }
    }
    if(fd > 2)
        h.hdmi_close(fd);
    fd = 0;
    //flag = 1;
    this->quit();
    this->wait();
}



