#ifndef WIDGET_H
#define WIDGET_H
#include "hdmi_thread.h"
#include "hdmi_format.h"
#include <QWidget>
#include <QDebug>
namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private slots:
    void on_checkAFButton_clicked();

    void on_getInputButton_clicked();

    void on_getOutputButton_clicked();

    void on_autoModeButton_clicked();

    void on_manualButton_clicked();

    void on_advancedButton_clicked();

    void on_muteCheckBox_clicked(bool check);

    void on_setButton_clicked();

    void on_hardwareRestButton_clicked();

    void on_setFormatButton_clicked();


    void on_superButton_clicked();

    void on_ultraButton_clicked();

    void on_excellentButton_clicked();

    void on_goodButton_clicked();

    void on_fairButton_clicked();

    void on_poorButton_clicked();

    void on_mobileButton_clicked();
    void init_UI();
    void getHardwareInfor();
    bool is_capture();
public slots:
    void showText();
private:
    Ui::Widget *ui;
    hdmi_thread *hdmiThread;
    hdmi hd;
    argmsg amg;
    tbsecp3 ecp3;
    int fd;
    int count;
    FILE *fp;
    char buf[128];
    bool flg;
    bool fg;
};

#endif // WIDGET_H
